Name:          calligra
Version:       2.8.6
Release:       1mamba
Epoch:         1
Summary:       An integrated office suite built on the KDE platform (formerly known as koffice)
Group:         Graphical Desktop/Applications/Office
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.calligra.org
Source:        http://download.kde.org/stable/calligra-%{version}/calligra-%{version}.tar.xz
Source1:       calligramobile.png
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kactivities-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libQtDeclarative
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXpm-devel
BuildRequires: libexiv2-devel
BuildRequires: libfftw-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetds-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libglib-devel
BuildRequires: libgsl-devel
BuildRequires: libicu-devel
BuildRequires: libilmbase-devel
BuildRequires: libjpeg-devel
BuildRequires: libkdcraw-devel
BuildRequires: liblcms2-devel
BuildRequires: libmarble-devel
BuildRequires: libmysql-devel
BuildRequires: libokular-devel
BuildRequires: libopenexr-devel
BuildRequires: libphonon-devel
BuildRequires: libpng-devel
BuildRequires: libpoppler-devel
BuildRequires: libpoppler-qt4-devel
BuildRequires: libpostgresql-devel
BuildRequires: libpqxx-devel
BuildRequires: libqca-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libxbase-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libxbase-devel >= 2.1.1
BuildRequires: cmake
BuildRequires: pstoedit
BuildRequires: libeigen2-devel
BuildRequires: llvm
BuildRequires: libnepomuk-core-devel
BuildRequires: libopenexr-devel >= 2.1.0
BuildRequires: libmarble-devel >= 4.14.0
BuildRequires: libokular-devel >= 4.14.0
BuildRequires: libpoppler-devel >= 0.26
BuildConflicts: libwpd08-devel
Requires:      calligra-karbon
Requires:      calligra-kexi
Requires:      calligra-words
Requires:      calligra-flow
Requires:      calligra-plan
Requires:      calligra-sheets
Requires:      calligra-stage
Requires:      calligra-braindump
Requires:      calligra-krita
Requires:      calligra-author
Provides:      koffice
Obsoletes:     koffice
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Calligra is an integrated office suite built on the KDE platform.
It utilizes free and open standards like OpenDocument for its document formats, component communication and component embedding.
Calligra is free software.

%package core
Summary:       Core support files for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kde-runtime
Provides:      koffice-core
Obsoletes:     koffice-core

%description core
Calligra is an integrated office suite built on the KDE platform.
It utilizes free and open standards like OpenDocument for its document formats, component communication and component embedding.

%package -n libcalligra
Summary:       Run-time libraries for KOffice
Group:         Graphical Desktop/Applications/Office
Provides:      libkoffice
Obsoletes:     libkoffice

%description -n libcalligra
This package provides the run-time library used by most of the Calligra components.

%package devel
Summary:       Devel package for Calligra
Group:         Development/Applications
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libkoffice-devel
Obsoletes:     libkoffice-devel

%description devel
It utilizes free and open standards like OpenDocument for its document formats, component communication and component embedding.
This package contains development files for Calligra.

%package words
Summary:       Word processor for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-words = %{?epoch:%epoch:}%{version}-%{release}
Provides:      koffice-kword
Obsoletes:     koffice-kword
Provides:      kword
Obsoletes:     kword
Provides:      kformula
Obsoletes:     kformula

%description words
Calligra Words is a frame-based word-processing and desktop publishing application.
Calligra Words is capable of creating demanding and professional looking documents.
Whether you are a corporate or home user, production artist or student, Words will prove a valuable and easy to use tool for your word processing and layout needs.
Calligra Words uses frames to make it easy to make your document look better, faster.

This package is part of the Calligra Office Suite.

%package -n libcalligra-words
Summary:       Libraries files for Calligra Words
Group:         Graphical Desktop/Libraries/KDE
Provides:      libkoffice-kword
Obsoletes:     libkoffice-kword
Provides:      libkoffice-kformula
Obsoletes:     libkoffice-kformula

%description -n libcalligra-words
Libraries file for Calligra Words.

This package is part of the Calligra Office Suite.

%package sheets
Summary:       A powerful spreadsheet application for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-sheets = %{?epoch:%epoch:}%{version}-%{release}
Provides:      koffice-kspread
Obsoletes:     koffice-kspread
Provides:      kspread
Obsoletes:     kspread

%description sheets
Calligra Sheets is a scriptable spreadsheet program which provides both table-oriented sheets and support for complex mathematical formulas and statistics.

This package is part of the Calligra Office Suite.

%package -n libcalligra-sheets
Summary:       Libraries files for Calligra Sheets
Group:         Graphical Desktop/Libraries/KDE
Provides:      libkoffice-kspread
Obsoletes:     libkoffice-kspread

%description -n libcalligra-sheets
Libraries file for Calligra Sheets.

This package is part of the Calligra Office Suite.

%package stage
Summary:       A full-featured presentation program for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-stage = %{?epoch:%epoch:}%{version}-%{release}
Provides:      koffice-kpresenter
Obsoletes:     koffice-kpresenter
Provides:      kpresenter
Obsoletes:     kpresenter

%description stage
Calligra Stage is an easy to use yet still flexible presentation application.
You can easily create presentations containing a rich variety of elements, from graphics to text, from charts to images.
Calligra Stage is extensible through a plugin system, so it is easy to add new effects, new content elements or even new ways of managing your presentation.
Because of the integration with Calligra, all the power and flexibility of the Calligra content elements are available to KPresenter.
Calligra Stage natively uses the OpenDocument file format standard, for easy interchange with all ODF supporting applications which includes Microsoft Office.
Some examples of easy-to-use features are support for layouts, a special slide overview view during presentations for the presenter, support for many different master sliders in one presentation, cool transitions and a useful notes feature.

This package is part of the Calligra Office Suite.

%package -n libcalligra-stage
Summary:       Libraries files for Calligra Stage
Group:         Graphical Desktop/Libraries/KDE
Provides:      libkoffice-kpresenter
Obsoletes:     libkoffice-kpresenter

%description -n libcalligra-stage
Libraries file for Calligra Stage.

This package is part of the Calligra Office Suite.

%package kexi
Summary:       An integrated environment for managing data for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-kexi = %{?epoch:%epoch:}%{version}-%{release}
Provides:      koffice-kexi
Obsoletes:     koffice-kexi
Provides:      kexi
Obsoletes:     kexi

%description kexi
Calligra Kexi is an integrated data management application.
It can be used for creating database schemas, inserting data, performing queries, and processing data.
Forms can be created to provide a custom interface to your data.
All database objects - tables, queries and forms - are stored in the database, making it easy to share data and design.

This package is part of the Calligra Office Suite.

%package -n libcalligra-kexi
Summary:       Libraries files for Calligra Kexi
Group:         Graphical Desktop/Libraries/KDE
Provides:      libkoffice-kexi
Obsoletes:     libkoffice-kexi

%description -n libcalligra-kexi
Libraries file for Calligra Kexi.

This package is part of the Calligra Office Suite.

%package karbon
Summary:       A vector drawing application for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-karbon = %{?epoch:%epoch:}%{version}-%{release}
Provides:      koffice-karbon
Obsoletes:     koffice-karbon
Provides:      karbon
Obsoletes:     karbon

%description karbon
Calligra Karbon is a vector drawing application with an user interface that is easy to use, highly customizable and extensible.
That makes Calligra Karbon a great application for users starting to explore the world of vector graphics as well as for artists wanting to create breathtaking vector art.
Whether you want to create clipart, logos, illustrations or photorealistic vector images - look no further, Calligra Karbon is the tool for you!

This package is part of the Calligra Office Suite.

%package -n libcalligra-karbon
Summary:       Libraries files for Calligra Karbon
Group:         Graphical Desktop/Libraries/KDE
Provides:      libkoffice-karbon
Obsoletes:     libkoffice-karbon

%description -n libcalligra-karbon
Libraries file for Calligra Karbon.

This package is part of the Calligra Office Suite.

%package krita
Summary:       A layered pixel image manipulation application for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-krita = %{?epoch:%epoch:}%{version}-%{release}
Provides:      koffice-krita
Obsoletes:     koffice-krita
Requires:      create-freedesktop

%description krita
Krita is a painting and image editing application for Calligra.
Krita contains both ease-of-use and fun features like guided painting (never before has it been so easy to airbrush a straight line!) and high-end features like support for 16 bit images, CMYK and even OpenEXR HDR images.

This package is part of the KDE Office Suite.

%package -n libcalligra-krita
Summary:       Libraries files for Krita
Group:         Graphical Desktop/Libraries/KDE
Provides:      libkoffice-krita
Obsoletes:     libkoffice-krita

%description -n libcalligra-krita
Libraries file for Krita.

This package is part of the KDE Office Suite.

%package plan
Summary:       An integrated project management and planning tool for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-plan = %{?epoch:%epoch:}%{version}-%{release}
Provides:      koffice-kplato
Obsoletes:     koffice-kplato
Provides:      kplato
Obsoletes:     kplato
Provides:      kugar
Obsoletes:     kugar

%description plan
Calligra Plan is a project management application for KDE.

This package is part of the Calligra Office Suite.

%package -n libcalligra-plan
Summary:       Libraries files for Calligra Plan
Group:         Graphical Desktop/Libraries/KDE
Provides:      libkoffice-kplato
Obsoletes:     libkoffice-kplato

%description -n libcalligra-plan
Libraries file for Calligra Plan.

This package is part of the Calligra Office Suite.

%package flow
Summary:       An integrated graph and chart drawing tool for Calligra
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-flow = %{?epoch:%epoch:}%{version}-%{release}
Provides:      koffice-kchart
Obsoletes:     koffice-kchart
Provides:      koffice-kivio
Obsoletes:     koffice-kivio
Provides:      kivio
Obsoletes:     kivio
Provides:      kchart
Obsoletes:     kchart

%description flow
KChart is the Calligra chart drawing application.
Use it to embed charts into your Calligra documents, e.g. a report written with Calligra Words or a slideshow made with Calligra Stage.

This package is part of the KDE Office Suite.

%package -n libcalligra-flow
Summary:       Libraries files for Calligra Flow
Group:         Graphical Desktop/Libraries/KDE
Provides:      libkoffice-kchart
Obsoletes:     libkoffice-kchart
Obsoletes:     libkoffice-kivio

%description -n libcalligra-flow
Libraries file for Calligra Flow.

This package is part of the KDE Office Suite.

%package braindump
Summary:       A Calligra tool to dump and organize the content of your brain
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libcalligra-braindump = %{?epoch:%epoch:}%{version}-%{release}

%description braindump
Calligra Braindump is a tool to dump and organize the content of your brain (ideas, drawings, images, texts…) to your computer.
It works by allowing to create and edit whiteboards, which are infinite canvas on which you can add texts, images, charts, drawings…

%package -n libcalligra-braindump
Summary:       Libraries files for Calligra Braindump
Group:         Graphical Desktop/Libraries/KDE

%description -n libcalligra-braindump
Libraries file for Calligra Braindump.

This package is part of the Calligra Office Suite.

%package author
Summary:       A Calligra tool to assist creating an eBook from concept to publication
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{epoch}:%{version}-%{release}
Requires:      libcalligra = %{?epoch:%epoch:}%{version}-%{release}

%description author
A Calligra tool to assist creating an eBook from concept to publication.

%debug_package

%prep
%setup -q
#-D -T

%build
#:<< _EOF
#  -DCREATERESOURCES_INCLUDE_DIR:PATH=%{_datadir}/create
%cmake_kde4 -d build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

install -D -m0644 %{SOURCE1} %{buildroot}%{_kde4_icondir}/oxygen/64x64/apps/calligramobile.png


# FIXME
#rm -f %{buildroot}%{_kde4_servicesdir}/ServiceMenus/kivio_konqi.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -n libcalligra -p /sbin/ldconfig
%postun -n libcalligra -p /sbin/ldconfig

%post -n libcalligra-words -p /sbin/ldconfig
%postun -n libcalligra-words -p /sbin/ldconfig

%post -n libcalligra-sheets -p /sbin/ldconfig
%postun -n libcalligra-sheets -p /sbin/ldconfig

%post -n libcalligra-stage -p /sbin/ldconfig
%postun -n libcalligra-stage -p /sbin/ldconfig

%post -n libcalligra-karbon -p /sbin/ldconfig
%postun -n libcalligra-karbon -p /sbin/ldconfig

%post -n libcalligra-krita -p /sbin/ldconfig
%postun -n libcalligra-krita -p /sbin/ldconfig

%post -n libcalligra-flow -p /sbin/ldconfig
%postun -n libcalligra-flow -p /sbin/ldconfig

%post -n libcalligra-braindump -p /sbin/ldconfig
%postun -n libcalligra-braindump -p /sbin/ldconfig

%files
%defattr(-,root,root)

%files core
%defattr(-,root,root)
%{_kde4_bindir}/calligra
%{_kde4_bindir}/calligraactive
%{_kde4_bindir}/calligraconverter
%{_kde4_bindir}/cstester
%{_kde4_bindir}/cstrunner
%{_kde4_bindir}/gmicparser
%{_kde4_bindir}/visualimagecompare
%{_kde4_xdgappsdir}/calligra.desktop
#%{_kde4_xdgappsdir}/calligraactive.desktop
#%dir %{_kde4_sharedir}/calligraactive
#%dir %{_kde4_sharedir}/calligraactive/qml
#%{_kde4_sharedir}/calligraactive/qml/*
%dir %{_kde4_datadir}/musicshape
%{_kde4_datadir}/musicshape/*
%dir %{_kde4_datadir}/calligra
%dir %{_kde4_datadir}/calligra/autocorrect
%{_kde4_datadir}/calligra/autocorrect/autocorrect.xml
%{_kde4_datadir}/calligra/autocorrect/en_US.xml
%dir %{_kde4_datadir}/calligra/icons
%{_kde4_datadir}/calligra/icons/*.png
%dir %{_kde4_datadir}/calligra/icons/hicolor
%{_kde4_datadir}/calligra/icons/hicolor/*
%dir %{_kde4_datadir}/calligra/icons
%dir %{_kde4_datadir}/calligra/icons/oxygen
%{_kde4_datadir}/calligra/icons/oxygen/*
%{_kde4_datadir}/calligra/calligra_shell.rc
%dir %{_kde4_datadir}/calligra/palettes
%{_kde4_datadir}/calligra/palettes/*.gpl
%{_kde4_datadir}/calligra/styles/markers.xml
%{_kde4_datadir}/calligra/thesaurus/thesaurus.txt
%{_kde4_datadir}/stateshape/states/*
#%{_kde4_servicesdir}/autocorrect.desktop
#%{_kde4_servicesdir}/basicflakesplugin.desktop
%{_kde4_servicesdir}/calligradocinfopropspage.desktop
#%{_kde4_servicesdir}/plan_msprojectexchange_import.desktop
#%{_kde4_servicesdir}/changecase.desktop
#%{_kde4_servicesdir}/defaulttools.desktop
%{_kde4_servicesdir}/calligra/kformdesigner*.desktop
%{_kde4_servicesdir}/kolcmsengine.desktop
%{_kde4_servicesdir}/kopabackgroundtool.desktop
%{_kde4_servicesdir}/kprvariables.desktop
%{_kde4_servicesdir}/calligra_docker_defaults.desktop
%{_kde4_servicesdir}/calligra_filter_*.desktop
%{_kde4_servicesdir}/calligra_semanticitem_*.desktop
%{_kde4_servicesdir}/calligra_shape_*.desktop
%{_kde4_servicesdir}/calligra_textediting_*.desktop
%{_kde4_servicesdir}/calligra_textinlineobject_variables.desktop
%{_kde4_servicesdir}/calligra_tool_*.desktop
%{_kde4_servicesdir}/calligra/koreport_*.desktop
%{_kde4_servicesdir}/libokularGenerator_odp.desktop
%{_kde4_servicesdir}/okularOdp.desktop
%{_kde4_servicesdir}/calligra_device_spacenavigator.desktop
#%{_kde4_servicesdir}/flow_wpg_thumbnail.desktop
%{_kde4_servicesdir}/planscripting.desktop
%{_kde4_servicesdir}/sheetsscripting.desktop
%{_kde4_servicesdir}/sheetssolver.desktop
%{_kde4_servicesdir}/calligra_odg_thumbnail.desktop
%{_kde4_servicetypesdir}/calligra_application.desktop
%{_kde4_servicetypesdir}/calligra_deferred_plugin.desktop
%{_kde4_servicetypesdir}/calligradb_driver.desktop
%{_kde4_servicetypesdir}/calligradocker.desktop
%{_kde4_servicetypesdir}/calligra_filter.desktop
%{_kde4_servicetypesdir}/calligra_part.desktop
%{_kde4_servicetypesdir}/calligra_semanticitem.desktop
%{_kde4_servicetypesdir}/filtereffect.desktop
%{_kde4_servicetypesdir}/flake.desktop
%{_kde4_servicetypesdir}/flakedevice.desktop
%{_kde4_servicetypesdir}/flakeshape.desktop
%{_kde4_servicetypesdir}/flaketool.desktop
%{_kde4_servicetypesdir}/inlinetextobject.desktop
%{_kde4_servicetypesdir}/plan_viewplugin.desktop
%{_kde4_servicetypesdir}/pigment.desktop
%{_kde4_servicetypesdir}/pigmentextension.desktop
%{_kde4_servicetypesdir}/presentationeventaction.desktop
%{_kde4_servicetypesdir}/scripteventaction.desktop
%{_kde4_servicetypesdir}/texteditingplugin.desktop
#%{_kde4_servicetypesdir}/textvariableplugin.desktop
%{_kde4_servicetypesdir}/widgetfactory.desktop
%{_kde4_servicetypesdir}/koreport_itemplugin.desktop
%{_kde4_sharedir}/color/icc/pigment/CMY.icm
%{_kde4_templatesdir}/Illustration.desktop
%{_kde4_templatesdir}/Presentation.desktop
%{_kde4_templatesdir}/SpreadSheet.desktop
%{_kde4_templatesdir}/TextDocument.desktop
%{_kde4_xdgappsdir}/calligraactive.desktop
%{_kde4_xdgappsdir}/okularApplication_odp.desktop
%{_kde4_xdgmimedir}/calligra_svm.xml
%{_kde4_xdgmimedir}/calligra_planner_mpp.xml
%{_kde4_xdgmimedir}/krita.xml
%{_kde4_sharedir}/mime/packages/msooxml-all.xml
%dir %{_kde4_sharedir}/calligraactive
%dir %{_kde4_sharedir}/calligraactive/qml
%{_kde4_sharedir}/calligraactive/qml/*.qml
%{_kde4_icondir}/hicolor/22x22/actions/stateshape.png
%{_kde4_icondir}/hicolor/22x22/actions/statetool.png
%{_kde4_icondir}/hicolor/22x22/actions/tool_pagelayout.png
%{_kde4_icondir}/oxygen/16x16/actions/curve-connector.png
%{_kde4_icondir}/oxygen/16x16/actions/lines-connector.png
%{_kde4_icondir}/oxygen/16x16/actions/object-align-horizontal-center-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-align-horizontal-left-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-align-horizontal-right-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-align-vertical-bottom-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-align-vertical-bottom-top-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-align-vertical-center-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-align-vertical-top-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-group-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-order-back-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-order-front-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-order-lower-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-order-raise-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/object-ungroup-calligra.png
%{_kde4_icondir}/oxygen/16x16/actions/standard-connector.png
%{_kde4_icondir}/oxygen/16x16/actions/straight-connector.png
%{_kde4_icondir}/oxygen/32x32/actions/insert-endnote.png
%{_kde4_icondir}/oxygen/32x32/actions/insert-footnote.png
%{_kde4_icondir}/oxygen/32x32/actions/insert-tableofcontents.png
%{_kde4_icondir}/oxygen/32x32/actions/shape-choose.png
%{_kde4_icondir}/oxygen/32x32/actions/x-shape-connection.png
%{_kde4_icondir}/oxygen/32x32/actions/x-shape-formula.png
%{_kde4_icondir}/oxygen/32x32/actions/x-shape-image.png
%{_kde4_icondir}/oxygen/32x32/actions/x-shape-text.png
%{_kde4_icondir}/oxygen/64x64/apps/calligramobile.png
%{_kde4_icondir}/oxygen/*/actions/table.png
%{_kde4_icondir}/oxygen/scalable/actions/table.svgz
%doc %lang(en) %{_kde4_htmldir}/en/calligra/common
%doc %lang(en) %{_kde4_htmldir}/en/calligra/index.cache.bz2
%doc %lang(en) %{_kde4_htmldir}/en/calligra/index.docbook

%files -n libcalligra
%defattr(-,root,root)
%{_kde4_libdir}/libkdeinit4_calligraauthor.so
%{_kde4_libdir}/libbasicflakes.so
%{_kde4_libdir}/libbasicflakes.so.*
%{_kde4_libdir}/libcalligrakdchart.so.*
%{_kde4_libdir}/libkowidgetutils.so.*
#%{_kde4_libdir}/libodftraverse.so.*
%{_kde4_libdir}/libkformula.so.*
%{_kde4_libdir}/libkomsooxml.so
%{_kde4_libdir}/libkomsooxml.so.*
%{_kde4_libdir}/libkoodf2.so.*
%{_kde4_libdir}/libkoodfreader.so.*
%{_kde4_libdir}/libkotextlayout.so.*
%{_kde4_libdir}/libkovectorimage.so.*
%{_kde4_libdir}/libkordf.so.*
%{_kde4_libdir}/libcalligrakdgantt.so.*
%{_kde4_libdir}/libcalligradb.so.*
#%{_kde4_libdir}/libkdgantt.so.*
#%{_kde4_libdir}/libvectorimage.so.*
%{_kde4_libdir}/libflake.so.*
%{_kde4_libdir}/libRtfReader.so.*
%{_kde4_libdir}/libkundo2.so.*
#%{_kde4_libdir}/libtextlayout.so.*
%{_kde4_libdir}/libkokross.so.*
%{_kde4_libdir}/libkomain.so.*
%{_kde4_libdir}/libkoodf.so.*
%{_kde4_libdir}/libkopageapp.so.*
%{_kde4_libdir}/libkotext.so.*
%{_kde4_libdir}/libpigmentcms.so.*
#%{_kde4_libdir}/libkochart.so.*
%{_kde4_libdir}/libkoplugin.so.*
%{_kde4_libdir}/libkowidgets.so.*
%{_kde4_libdir}/libkformdesigner.so.*
%{_kde4_libdir}/libkoproperty.so.*
%{_kde4_libdir}/libkoreport.so.*
%{_kde4_libdir}/libkowv2.so.*
#%{_kde4_libdir}/libmsooxml.so.*
#%{_kde4_libdir}/kde4/asciiexport.so
#%{_kde4_libdir}/kde4/basicflakesplugin.so
%{_kde4_libdir}/kde4/calligradocinfopropspage.so
#%{_kde4_libdir}/kde4/exportMobi.so
#%{_kde4_libdir}/kde4/exportepub2.so
#%{_kde4_libdir}/kde4/exporthtml.so
%{_kde4_libdir}/kde4/krossmodulesheets.so
%{_kde4_libdir}/kde4/sheetssolver.so
#%{_kde4_libdir}/kde4/threedshape.so
#%{_kde4_libdir}/kde4/wpdimport.so
%{_kde4_libdir}/kde4/kformdesigner*.so
%{_kde4_libdir}/kde4/kolcmsengine.so
%{_kde4_libdir}/kde4/kprvariables.so
%{_kde4_libdir}/kde4/krossmodulekexidb.so
#%{_kde4_libdir}/kde4/docximport.so
#%{_kde4_libdir}/kde4/pptximport.so
%{_kde4_libdir}/kde4/calligra_device_spacenavigator.so
#%{_kde4_libdir}/kde4/xlsximport.so
#%{_kde4_libdir}/kde4/videoshape.so
#%{_kde4_libdir}/kde4/applixwordimport.so
#%{_kde4_libdir}/kde4/asciiimport.so
#%{_kde4_libdir}/kde4/calligradockers.so
%{_kde4_libdir}/kde4/calligra_docker_defaults.so
%{_kde4_libdir}/kde4/calligra_filter_*.so
%{_kde4_libdir}/kde4/calligra_semanticitem_*.so
%{_kde4_libdir}/kde4/calligra_shape_*.so
%{_kde4_libdir}/kde4/calligra_textediting_*.so
%{_kde4_libdir}/kde4/calligra_textinlineobject_variables.so
%{_kde4_libdir}/kde4/calligra_tool_*.so
%{_kde4_libdir}/kde4/calligraimagethumbnail.so
%{_kde4_libdir}/kde4/calligrathumbnail.so
%{_kde4_libdir}/kde4/koreport_mapsplugin.so
%{_kde4_libdir}/kde4/koreport_webplugin.so
#%{_kde4_libdir}/kde4/mswordodf_import.so
#%{_kde4_libdir}/kde4/rtfimport.so
#%{_kde4_libdir}/kde4/stateshape.so
#%{_kde4_libdir}/kde4/vectorshape.so
#%{_kde4_libdir}/kde4/vsdximport.so
#%{_kde4_libdir}/kde4/webshape.so
#%{_kde4_libdir}/kde4/artistictextshape.so
#%{_kde4_libdir}/kde4/autocorrect.so
#%{_kde4_libdir}/kde4/changecase.so
#%{_kde4_libdir}/kde4/defaulttools.so
%{_kde4_libdir}/kde4/kopabackgroundtool.so
%{_kde4_libdir}/kde4/koreport_barcodeplugin.so
#%{_kde4_libdir}/kde4/wpgimport.so
#%{_kde4_libdir}/kde4/musicshape.so
#%{_kde4_libdir}/kde4/pathshapes.so
#%{_kde4_libdir}/kde4/pictureshape.so
#%{_kde4_libdir}/kde4/spellcheck.so
#%{_kde4_libdir}/kde4/textshape.so
#%{_kde4_libdir}/kde4/textvariables.so
#%{_kde4_libdir}/kde4/thesaurustool.so
%{_kde4_libdir}/kde4/okularGenerator_odp.so
#%{_kde4_libdir}/kde4/pluginshape.so

%files devel
%defattr(-,root,root)
%{_kde4_includedir}/*.h
%dir %{_kde4_includedir}/calligra
%{_kde4_includedir}/calligra/*.h
%{_kde4_includedir}/calligra/KoTextSoftPageBreak.cpp
%dir %{_kde4_includedir}/calligra/changetracker
%{_kde4_includedir}/calligra/changetracker/*
%dir %{_kde4_includedir}/calligra/styles
%{_kde4_includedir}/calligra/styles/*.h
#%{_kde4_includedir}/KoTextSoftPageBreak.cpp
#%dir %{_kde4_includedir}/changetracker
#%{_kde4_includedir}/changetracker/*.h
#%{_kde4_includedir}/changetracker/*.cpp
#%dir %{_kde4_includedir}/styles
#%{_kde4_includedir}/styles/*.h
%dir %{_kde4_includedir}/krita
%{_kde4_includedir}/krita/*
%dir %{_kde4_includedir}/sheets
%{_kde4_includedir}/sheets/*
%dir %{_kde4_includedir}/stage
%{_kde4_includedir}/stage/*
%dir %{_kde4_includedir}/words
%{_kde4_includedir}/words/*
%{_kde4_includedir}/kexi
%{_kde4_libdir}/libkformula.so
%{_kde4_libdir}/libkoodfreader.so
%{_kde4_libdir}/libkotextlayout.so
%{_kde4_libdir}/libkovectorimage.so
%{_kde4_libdir}/libkoodf2.so
%{_kde4_libdir}/libcalligrakdchart.so
%{_kde4_libdir}/libcalligrakdgantt.so
%{_kde4_libdir}/libkordf.so
%{_kde4_libdir}/libkowidgetutils.so
#%{_kde4_libdir}/libodftraverse.so
%{_kde4_libdir}/libcalligradb.so
#%{_kde4_libdir}/libvectorimage.so
%{_kde4_libdir}/libRtfReader.so
%{_kde4_libdir}/libkundo2.so
#%{_kde4_libdir}/libtextlayout.so
%{_kde4_libdir}/libflake.so
#%{_kde4_libdir}/libkformulalib.so
%{_kde4_libdir}/libkokross.so
%{_kde4_libdir}/libkomain.so
%{_kde4_libdir}/libkoodf.so
%{_kde4_libdir}/libkopageapp.so
%{_kde4_libdir}/libkoplugin.so
%{_kde4_libdir}/libkotext.so
%{_kde4_libdir}/libkowidgets.so
%{_kde4_libdir}/libpigmentcms.so
%{_kde4_libdir}/libkritaimage.so
%{_kde4_libdir}/libkritalibbrush.so
%{_kde4_libdir}/libkritalibpaintop.so
%{_kde4_libdir}/libkritaui.so
%{_kde4_libdir}/libkarboncommon.so
%{_kde4_libdir}/libkarbonui.so
%{_kde4_libdir}/libkplatokernel.so
%{_kde4_libdir}/libkplatomodels.so
%{_kde4_libdir}/libkplatoui.so
#%{_kde4_libdir}/libchartshapelib.so
#%{_kde4_libdir}/libkdchart.so
#%{_kde4_libdir}/libkochart.so
%{_kde4_libdir}/libkformdesigner.so
%{_kde4_libdir}/libkoproperty.so
%{_kde4_libdir}/libkoreport.so
%{_kde4_libdir}/libkowv2.so
#%{_kde4_libdir}/libmsooxml.so
%{_kde4_libdir}/libwordsprivate.so
%{_kde4_libdir}/libcalligrasheetscommon.so
%{_kde4_libdir}/libcalligrasheetsodf.so
%{_kde4_libdir}/libcalligrastageprivate.so
%{_kde4_libdir}/libplanprivate.so
%{_kde4_libdir}/libplanworkapp.so
%{_kde4_libdir}/libplanworkfactory.so
%{_kde4_libdir}/librcps_plan.so
%{_kde4_libdir}/libflowprivate.so
%{_kde4_datadir}/cmake/modules/FindCalligraLibs.cmake

%files karbon
%defattr(-,root,root)
%{_kde4_bindir}/karbon
%{_kde4_configdir}/karbonrc
%{_kde4_datadir}/karbon/
%{_kde4_libdir}/kde4/karbon*.so
#%{_kde4_libdir}/kde4/wmfexport.so
#%{_kde4_libdir}/kde4/wmfimport.so
%{_kde4_libdir}/libkdeinit4_karbon.so
#%{_kde4_servicesdir}/artistictextshape.desktop
%{_kde4_servicesdir}/karbon*.desktop
%{_kde4_servicesdir}/ServiceMenus/karbon_print.desktop
%{_kde4_servicetypesdir}/karbon_dock.desktop
%{_kde4_servicetypesdir}/karbon_viewplugin.desktop
#%{_kde4_servicetypesdir}/karbon_module.desktop
%{_kde4_xdgappsdir}/karbon.desktop
%{_kde4_icondir}/hicolor/*/apps/calligrakarbon.png
%{_kde4_icondir}/hicolor/scalable/apps/calligrakarbon.svgz

%files -n libcalligra-karbon
%defattr(-,root,root)
%{_kde4_libdir}/libkarboncommon.so.*
%{_kde4_libdir}/libkarbonui.so.*

%files words
%defattr(-,root,root)
%config %{_kde4_configdir}/wordsrc
%{_kde4_bindir}/calligrawords
%{_kde4_xdgappsdir}/words.desktop
%dir %{_kde4_datadir}/words
%{_kde4_datadir}/words/*
%{_kde4_datadir}/formulashape/fonts/*.ttf
#%{_kde4_servicesdir}/formulashape.desktop
%{_kde4_servicesdir}/words_*.desktop
%{_kde4_servicesdir}/wordspart.desktop
%{_kde4_servicesdir}/kformulapart.desktop
%{_kde4_servicesdir}/ServiceMenus/words_print.desktop
%{_kde4_templatesdir}/.source/TextDocument.odt
%{_kde4_xdgappsdir}/calligrawords_ascii.desktop
%{_kde4_icondir}/hicolor/*/apps/calligrawords.png
%{_kde4_icondir}/hicolor/scalable/apps/calligrawords.svgz

%files -n libcalligra-words
%defattr(-,root,root)
#%{_kde4_libdir}/libkformulalib.so.*
%{_kde4_libdir}/libwordsprivate.so.*
%{_kde4_libdir}/libkdeinit4_calligrawords.so
%{_kde4_libdir}/kde4/wordspart.so
#%{_kde4_libdir}/kde4/wpsimport.so
#%{_kde4_libdir}/kde4/formulashape.so

%files sheets
%defattr(-,root,root)
%{_kde4_kcfgdir}/sheets.kcfg
%config %{_kde4_configdir}/sheetsrc
%{_kde4_bindir}/calligrasheets
%{_kde4_xdgappsdir}/sheets.desktop
%dir %{_kde4_datadir}/sheets
%{_kde4_datadir}/sheets/*
#%{_kde4_libdir}/kde4/applixspreadimport.so
#%{_kde4_libdir}/kde4/csvexport.so
#%{_kde4_libdir}/kde4/csvimport.so
#%{_kde4_libdir}/kde4/dbaseimport.so
#%{_kde4_libdir}/kde4/excelimporttodoc.so
#%{_kde4_libdir}/kde4/gnumericexport.so
#%{_kde4_libdir}/kde4/gnumericimport.so
#%{_kde4_libdir}/kde4/opencalcexport.so
#%{_kde4_libdir}/kde4/opencalcimport.so
#%{_kde4_libdir}/kde4/qproimport.so
%{_kde4_libdir}/kde4/kspread*.so
#%{_kde4_libdir}/kde4/spreadsheetshape.so
%{_kde4_servicesdir}/kspread*.desktop
#%{_kde4_servicesdir}/spreadsheetshape.desktop
%{_kde4_servicesdir}/sheetspart.desktop
#%{_kde4_servicesdir}/spreadsheetshape-deferred.desktop
%{_kde4_servicesdir}/ServiceMenus/sheets_print.desktop
%{_kde4_servicesdir}/sheets_excel_thumbnail.desktop
%{_kde4_servicesdir}/sheets_ods_thumbnail.desktop
%{_kde4_servicesdir}/sheets_xlsx_thumbnail.desktop
%{_kde4_servicesdir}/krossmodulesheets.desktop
%{_kde4_servicetypesdir}/sheets_*.desktop
%{_kde4_templatesdir}/.source/SpreadSheet.ods
%{_kde4_icondir}/hicolor/*/apps/calligrasheets.png
%{_kde4_icondir}/hicolor/scalable/apps/calligrasheets.svgz
%doc %lang(en) %{_kde4_htmldir}/en/sheets/*

%files -n libcalligra-sheets
%defattr(-,root,root)
%{_kde4_libdir}/libcalligrasheetscommon.so.*
%{_kde4_libdir}/libcalligrasheetsodf.so.*
%{_kde4_libdir}/kde4/calligrasheetspart.so
#%{_kde4_libdir}/kde4/spreadsheetshape-deferred.so
%{_kde4_libdir}/libkdeinit4_calligrasheets.so

%files stage
%defattr(-,root,root)
%config %{_kde4_configdir}/stagerc
%{_kde4_bindir}/calligrastage
%{_kde4_xdgappsdir}/stage.desktop
%dir %{_kde4_datadir}/stage
%{_kde4_datadir}/stage/*
%{_kde4_icondir}/hicolor/*/actions/black.png
%{_kde4_icondir}/hicolor/*/actions/highlight.png
%{_kde4_icondir}/hicolor/*/actions/pen.png
%{_kde4_libdir}/kde4/kpr_*.so
#%{_kde4_libdir}/kde4/Filterkpr2odf.so
#%{_kde4_libdir}/kde4/powerpointimport.so
#%{_kde4_servicesdir}/Filterkpr2odf.desktop
%{_kde4_servicesdir}/kpr_*.desktop
#%{_kde4_servicesdir}/kpresenter*.desktop
%{_kde4_servicetypesdir}/kpr_*.desktop
%{_kde4_servicesdir}/calligrastageeventactions.desktop
%{_kde4_servicesdir}/calligrastagetoolanimation.desktop
%{_kde4_servicesdir}/stagepart.desktop
%{_kde4_servicesdir}/ServiceMenus/stage_print.desktop
#%{_kde4_servicesdir}/stage_kpr_thumbnail.desktop
%{_kde4_servicesdir}/stage_odp_thumbnail.desktop
%{_kde4_servicesdir}/stage_powerpoint_thumbnail.desktop
%{_kde4_servicesdir}/stage_pptx_thumbnail.desktop
%{_kde4_servicesdir}/stage_kpr_thumbnail.desktop
%{_kde4_templatesdir}/.source/Illustration.odg
%{_kde4_templatesdir}/.source/Presentation.odp
%{_kde4_icondir}/hicolor/*/apps/calligrastage.png
%{_kde4_icondir}/hicolor/scalable/apps/calligrastage.svgz
%doc %lang(en) %{_kde4_htmldir}/en/stage

%files -n libcalligra-stage
%defattr(-,root,root)
%{_kde4_libdir}/libcalligrastageprivate.so.*
%{_kde4_libdir}/kde4/calligrastageeventactions.so
%{_kde4_libdir}/kde4/calligrastagepart.so
%{_kde4_libdir}/kde4/calligrastagetoolanimation.so
%{_kde4_libdir}/libkdeinit4_calligrastage.so

%files kexi
%defattr(-,root,root)
%{_kde4_bindir}/kexi_sqlite3_dump
%{_kde4_xdgappsdir}/kexi.desktop
%{_kde4_configdir}/kexi*
%{_kde4_bindir}/kexi
%{_kde4_libdir}/libkexi*.so
%{_kde4_datadir}/kexi
%{_kde4_datadir}/koproperty/icons
%{_kde4_servicesdir}/calligra/kexi*.desktop
%{_kde4_servicetypesdir}/kexi*.desktop
%{_kde4_icondir}/hicolor/*/apps/calligrakexi.png
%{_kde4_icondir}/hicolor/scalable/apps/calligrakexi.svgz
%doc %lang(en) %{_kde4_htmldir}/en/kexi

%files -n libcalligra-kexi
%defattr(-,root,root)
%{_kde4_libdir}/libkexi*.so.*
%{_kde4_libdir}/kde4/kexi*.so

%files krita
%defattr(-,root,root)
%{_kde4_bindir}/krita
%{_kde4_bindir}/kritagemini
%{_kde4_bindir}/kritasketch
%config %{_kde4_configdir}/kritabrushes.knsrc
%config %{_kde4_configdir}/kritagradients.knsrc
%config %{_kde4_configdir}/kritaiccprofiles.knsrc
%config %{_kde4_configdir}/kritapatterns.knsrc
%config %{_kde4_configdir}/kritapresets.knsrc
%config %{_kde4_configdir}/kritageminipanelsrc
%config %{_kde4_configdir}/kritageminirc
%config %{_kde4_configdir}/kritasketchpanelsrc
%config %{_kde4_configdir}/kritasketchrc
%{_kde4_configdir}/kritarc
%{_kde4_datadir}/krita/
%{_kde4_datadir}/kritaplugins/
%{_kde4_datadir}/kritagemini/
%{_kde4_datadir}/kritasketch/
%{_kde4_libdir}/libkdeinit4_krita.so
%{_kde4_libdir}/libkritasketchlib.so
%{_kde4_libdir}/kde4/krita*.so
%dir %{_kde4_libdir}/calligra/imports/org/krita
%{_kde4_libdir}/calligra/imports/org/krita/*
%{_kde4_servicesdir}/krita*.desktop
%{_kde4_servicesdir}/ServiceMenus/krita_print.desktop
%{_kde4_servicetypesdir}/krita_*.desktop
%{_kde4_sharedir}/color/icc/krita/
%{_kde4_sharedir}/color/icc/pigment/fogra27l.icm
%{_kde4_sharedir}/mime/packages/krita_ora.xml
%{_kde4_sharedir}/appdata/krita.appdata.xml
%{_kde4_xdgappsdir}/krita*.desktop
%{_kde4_datadir}/color-schemes/Krita50.colors
%{_kde4_datadir}/color-schemes/KritaBlender.colors
%{_kde4_datadir}/color-schemes/KritaBright.colors
%{_kde4_datadir}/color-schemes/KritaBrighter.colors
%{_kde4_datadir}/color-schemes/KritaDark.colors
%{_kde4_datadir}/color-schemes/KritaDarker.colors
%{_kde4_icondir}/hicolor/*/apps/calligrakrita.png
%{_kde4_icondir}/hicolor/scalable/apps/calligrakrita.svgz

%files -n libcalligra-krita
%defattr(-,root,root)
%{_kde4_libdir}/libkritaimage.so.*
%{_kde4_libdir}/libkritalibbrush.so.*
%{_kde4_libdir}/libkritalibpaintop.so.*
%{_kde4_libdir}/libkritaui.so.*

%files flow
%defattr(-,root,root)
%config %{_kde4_configdir}/flow_stencils.knsrc
%config %{_kde4_configdir}/flowrc
%{_kde4_bindir}/calligraflow
%{_kde4_xdgappsdir}/flow.desktop
%dir %{_kde4_datadir}/flow
%{_kde4_datadir}/flow/*
#%{_kde4_libdir}/kde4/chartshape.so
#%{_kde4_servicesdir}/chartshape.desktop
#%{_kde4_servicesdir}/kchart*.desktop
#%{_kde4_servicesdir}/flow_vsdx_import.desktop
%{_kde4_servicesdir}/flowdockersplugin.desktop
%{_kde4_servicesdir}/flowpart.desktop
%{_kde4_servicesdir}/ServiceMenus/flow_print.desktop
#%{_kde4_servicesdir}/flow_vsdx_thumbnail.desktop
%{_kde4_servicetypesdir}/flow_dock.desktop
%{_kde4_icondir}/hicolor/*/apps/calligraflow.png
%{_kde4_icondir}/hicolor/scalable/apps/calligraflow.svgz

%files -n libcalligra-flow
%defattr(-,root,root)
%{_kde4_libdir}/libkdeinit4_calligraflow.so
#%{_kde4_libdir}/libchartshapelib.so.*
#%{_kde4_libdir}/libkdchart.so.*
%{_kde4_libdir}/libflowprivate.so.*
%{_kde4_libdir}/kde4/flowdockersplugin.so
%{_kde4_libdir}/kde4/flowpart.so

%files plan
%defattr(-,root,root)
%config %{_kde4_configdir}/planrc
%config %{_kde4_configdir}/planworkrc
%{_kde4_bindir}/calligraplan
%{_kde4_bindir}/calligraplanwork
%{_kde4_xdgappsdir}/plan.desktop
%{_kde4_xdgappsdir}/planwork.desktop
%dir %{_kde4_datadir}/plan
%{_kde4_datadir}/plan/*
%dir %{_kde4_datadir}/planwork
%{_kde4_datadir}/planwork/*
#%doc %lang(en) %{_kde4_htmldir}/en/kugar
%{_kde4_libdir}/kde4/kplatorcpsscheduler.so
%{_kde4_kcfgdir}/plansettings.kcfg
%{_kde4_kcfgdir}/planworksettings.kcfg
%{_kde4_servicesdir}/plan_kplato_import.desktop
#%{_kde4_servicesdir}/plan_msproject_import.desktop
#%{_kde4_servicesdir}/plan_planner_import.desktop
%{_kde4_servicesdir}/planpart.desktop
%{_kde4_servicesdir}/planrcpsscheduler.desktop
%{_kde4_servicesdir}/plantjscheduler.desktop
%{_kde4_servicesdir}/planworkpart.desktop
%{_kde4_servicesdir}/krossmoduleplan.desktop
%{_kde4_servicesdir}/plan_icalendar_export.desktop
%{_kde4_servicetypesdir}/plan_schedulerplugin.desktop
%{_kde4_icondir}/hicolor/*/apps/calligraplan.png
%{_kde4_icondir}/hicolor/*/apps/calligraplanwork.png
%{_kde4_icondir}/hicolor/*/mimetypes/application-x-vnd.kde.plan.png
%{_kde4_icondir}/hicolor/*/mimetypes/application-x-vnd.kde.plan.work.png
%{_kde4_icondir}/hicolor/scalable/apps/calligraplan.svgz
%{_kde4_icondir}/hicolor/scalable/apps/calligraplanwork.svgz
%{_kde4_icondir}/hicolor/scalable/mimetypes/application-x-vnd.kde.plan.svgz
%{_kde4_icondir}/hicolor/scalable/mimetypes/application-x-vnd.kde.plan.work.svgz
%{_kde4_icondir}/hicolor/*/mimetypes/application-x-vnd.kde.kplato.png
%{_kde4_icondir}/hicolor/*/mimetypes/application-x-vnd.kde.kplato.work.png
%{_kde4_icondir}/hicolor/64x64/mimetypes/application-x-vnd.kde.kplato.png
%{_kde4_icondir}/hicolor/scalable/mimetypes/application-x-vnd.kde.kplato.svgz
%{_kde4_icondir}/hicolor/scalable/mimetypes/application-x-vnd.kde.kplato.work.svgz

%files -n libcalligra-plan
%defattr(-,root,root)
%{_kde4_libdir}/libkplatokernel.so.*
%{_kde4_libdir}/libkplatomodels.so.*
%{_kde4_libdir}/libkdeinit4_calligraplan.so
%{_kde4_libdir}/libkdeinit4_calligraplanwork.so
%{_kde4_libdir}/libkplatoui.so.*
%{_kde4_libdir}/libplanprivate.so.*
%{_kde4_libdir}/libplanworkapp.so.*
%{_kde4_libdir}/libplanworkfactory.so.*
%{_kde4_libdir}/librcps_plan.so.*
%{_kde4_libdir}/kde4/krossmoduleplan.so
%{_kde4_libdir}/kde4/planconvert/PlanConvert.jar
%{_kde4_libdir}/kde4/planicalexport.so
%{_kde4_libdir}/kde4/plankplatoimport.so
#%{_kde4_libdir}/kde4/planmpxjimport.so
%{_kde4_libdir}/kde4/planpart.so
%{_kde4_libdir}/kde4/plantjscheduler.so
%{_kde4_libdir}/kde4/planworkpart.so

%files braindump
%defattr(-,root,root)
%{_kde4_bindir}/braindump
%{_kde4_xdgappsdir}/braindump.desktop
%dir %{_kde4_datadir}/braindump
%{_kde4_datadir}/braindump/*
#%config %{_kde4_configdir}/braindumprc
%{_kde4_icondir}/hicolor/*/apps/braindump.png
%{_kde4_icondir}/hicolor/scalable/apps/braindump.svgz
%{_kde4_servicetypesdir}/braindump_extensions.desktop
%{_kde4_servicesdir}/braindump_shape_state.desktop
%{_kde4_servicesdir}/braindump_shape_web.desktop

%files -n libcalligra-braindump
%defattr(-,root,root)
%{_kde4_libdir}/libbraindumpcore.so.*
%{_kde4_libdir}/kde4/braindump_shape_state.so
%{_kde4_libdir}/kde4/braindump_shape_web.so

%files author
%defattr(-,root,root)
%{_kde4_configdir}/authorrc
%{_kde4_bindir}/calligraauthor
%{_kde4_libdir}/kde4/authorpart.so
%{_kde4_xdgappsdir}/author.desktop
%{_kde4_datadir}/author/author.rc
%{_kde4_datadir}/author/author_readonly.rc
%{_kde4_servicesdir}/authorpart.desktop
%{_kde4_icondir}/hicolor/*/apps/calligraauthor.png
%{_kde4_icondir}/hicolor/scalable/apps/calligraauthor.svgz

%changelog
* Fri Sep 26 2014 Automatic Build System <autodist@mambasoft.it> 2.8.6-1mamba
- automatic version update by autodist

* Sat Aug 23 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.5-2mamba
- rebuilt with libmarble 4.14.0, libokular-devel 4.14.0 and libpoppler-devel 0.26

* Sat Jul 12 2014 Automatic Build System <autodist@mambasoft.it> 2.8.5-1mamba
- automatic version update by autodist

* Thu May 15 2014 Automatic Build System <autodist@mambasoft.it> 2.8.3-1mamba
- automatic version update by autodist

* Fri May 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.2-2mamba
- rebuilt with libmarble 4.13.0

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Fri Mar 07 2014 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Sun Mar 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.5-3mamba
- rebuilt with libpoppler 0.24.5

* Fri Dec 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.5-2mamba
- rebuilt with libkdcraw 4.12.0

* Wed Nov 27 2013 Automatic Build System <autodist@mambasoft.it> 2.7.5-1mamba
- automatic version update by autodist

* Sun Oct 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.4-2mamba
- build debug package
- add missing icon for calligraactive desktop entry

* Fri Oct 18 2013 Automatic Build System <autodist@mambasoft.it> 2.7.4-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 2.7.3-1mamba
- automatic version update by autodist

* Tue Aug 20 2013 Automatic Build System <autodist@mambasoft.it> 2.7.2-1mamba
- automatic version update by autodist

* Fri Aug 02 2013 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- update to 2.7.1

* Thu May 30 2013 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic version update by autodist

* Tue Apr 09 2013 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Sun Mar 17 2013 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Sun Feb 24 2013 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Mon Feb 18 2013 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Fri Jan 25 2013 Automatic Build System <autodist@mambasoft.it> 2.5.5-1mamba
- automatic version update by autodist

* Thu Nov 22 2012 Automatic Build System <autodist@mambasoft.it> 2.5.4-1mamba
- automatic version update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.3-3mamba
- rebuilt with libkexiv2 4.9.3

* Fri Oct 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.3-2mamba
- calliga-core: don't obsolete koffice-kivio and libkoffice-kivio already obsoleted by calligra-flow and libcalligra-flow

* Sat Oct 06 2012 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-2mamba
- rebuilt with libpoppler 0.20.4

* Wed Sep 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-1mamba
- update to 2.5.2

* Thu Jan 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.3-2mamba
- rebuilt against kde 4.7
- added patch for libwpg 0.2 and libwpd 0.9

* Sun Mar 27 2011 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic update by autodist

* Sat Feb 19 2011 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic update by autodist

* Fri Jan 28 2011 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic update by autodist

* Sun Jan 16 2011 Davide Madrisan <davide.madrisan@gmail.com> 2.3.0-2mamba
- added built requirements libQtGTL, libOpenGTL, and llvm

* Sat Jan 01 2011 Davide Madrisan <davide.madrisan@gmail.com> 2.3.0-1mamba
- update to 2.3.0

* Fri Sep 24 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.2.2-2mamba
- apply a fix for stability issue in the SQLite database engine
- support large memo values for MS Access files

* Sun Aug 29 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.2.2-1mamba
- update to 2.2.2

* Fri Jul 09 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.2.1-1mamba
- update to 2.2.1
- add build requirement for librcps-devel, libpqxx-devel, and libxbase64-devel

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic update to 2.2.0 by autodist

* Thu Apr 01 2010 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic update to 2.1.2 by autodist

* Mon Jan 25 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.1.1-3mamba
- rebuilt against qt 4.6

* Thu Jan 14 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.1.1-2mamba
- do not obsolete libkoffice-kformula in koffice-core

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic update to 2.1.1 by autodist

* Wed Nov 25 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.1.0-1mamba
- update to 2.1.0

* Wed Aug 12 2009 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic update to 2.0.2 by autodist

* Thu Jun 25 2009 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update to 2.0.1 by autodist

* Mon Jun 15 2009 Automatic Build System <autodist@mambasoft.it> 2.0.0-4mamba
- automatic rebuild by autodist

* Sun Jun 14 2009 Automatic Build System <autodist@mambasoft.it> 2.0.0-3mamba
- automatic rebuild by autodist

* Fri Jun 04 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.0.0-2mamba
- update to 2.0.0

* Wed Jun 03 2009 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic update to 2.0.0 by autodist

* Wed May 27 2009 Davide Madrisan <davide.madrisan@gmail.com> 1.9.99.0-1mamba
- update to 1.9.99.0 (koffice 2.0-RC-1)

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 1.6.3-7mamba
- automatic rebuild by autodist

* Tue Feb 24 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-6mamba
- automatic rebuild by autodist

* Wed Feb 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-5mamba
- automatic rebuild by autodist

* Tue Jul 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-4mamba
- rebuilt againts fixed release of libpaper

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-3mamba
- rebuilt against ImageMagick

* Mon Nov 19 2007 Aleph0 <aleph0@openmamba.org> 1.6.3-2mamba
- security fix against CVE-2007-4352, CVE-2007-5392, and CVE-2007-5393

* Thu Jun 07 2007 Aleph0 <aleph0@openmamba.org> 1.6.3-1mamba
- update to 1.6.3

* Tue May 08 2007 Aleph0 <aleph0@openmamba.org> 1.6.2-2mamba
- rebuild needed because libGraphicsMagick has been removed from openmamba

* Tue Feb 13 2007 Aleph0 <aleph0@openmamba.org> 1.6.2-1qilnx
- update to version 1.6.2 by autospec

* Mon Feb 12 2007 Aleph0 <aleph0@openmamba.org> 1.6.1-2qilnx
- rebuilt with the new installation prefix /opt/kde3

* Tue Jan 09 2007 Aleph0 <aleph0@openmamba.org> 1.6.1-1qilnx
- update to version 1.6.1 by autospec
- also fixes the security issue CVE-2006-6120
- added build requirements for ruby and poppler

* Tue Oct 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.6.0-1qilnx
- update to version 1.6.0 by autospec

* Mon Jul 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.2-1qilnx
- update to version 1.5.2 by autospec

* Tue May 23 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.1-1qilnx
- koffice splitted into several subpackages

* Mon May 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.1-1qilnx
- update to version 1.5.1 by autospec

* Tue Apr 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0-1qilnx
- update to version 1.5.0 by autospec
- patches against CVE-2005-3193 and xpdf_chris_overflows removed

* Wed Jan 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.2-4qilnx
- fixed xpdf vulnerabilities: CAN-2005-362[4-7]
- koffice-apidocs documentation moved to the devel package

* Mon Jan 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.2-3qilnx
- rebuilt

* Tue Dec 13 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.2-2qilnx
- fix xpdf vulnerability: CAN-2005-3193 (qibug#92)

* Tue Oct 11 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.2-1qilnx
- update to version 1.4.2 by autospec
- also fixes the security issue QSA-2005-117 (CAN-2005-2971)

* Wed Sep 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.1-3qilnx
- rebuilt

* Fri Aug 26 2005 Massimo Pintore <massimo.pintore@qilinux.it> 1.4.1-2qilnx
- rebuilt with libpython-devel-2.4.1

* Tue Jul 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.1-1qilnx
- update to version 1.4.1 by autospec

* Mon Jun 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.0-1qilnx
- update to version 1.4.0 by autospec
- removed security patches
- modified package group

* Wed Jan 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.5-2qilnx
- security fix QSA-2005-009 (CAN-2005-0064, CAN-2004-1125, CAN-2005-0064)

* Tue Nov 23 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.5-1qilnx
- update to version 1.3.5 by autospec

* Fri Oct 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.3-2qilnx
- fixed xpdf security vulnerability (see: QSA-2004-044)

* Wed Oct 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.3-1qilnx
- update to version 1.3.3 by autospec

* Mon Jul 12 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.2-1qilnx
- new version rebuild

* Tue May 04 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-1qilnx
- new version rebuild

* Fri Feb 13 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3-2qilnx
- rebuild using KDE 3.2.0 core libraries and headers

* Wed Jan 28 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3-1qilnx
- package update

* Thu Dec 18 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.3rc2-1qilnx
- rebuilt with latest rc

* Thu Oct 30 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.3rc1-1qilnx
- rebuilt with 1.3rc1 tarball

* Tue Oct 28 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.3beta4-2qilnx
- rebuilt with libwv2 support (KWord's MS-Word filters)

* Sat Oct 25 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.3beta4-1qilnx
- rebuilt with the latest beta release
- added missing build requirements; various rpm improvements

* Mon Jul 10 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.3beta2-1qilnx
- first build for koffice
